aliens

Author Topic: requires: STR_ALIENS_ONLY causing an issue  (Read 1562 times)

Offline KingMob4313

  • Commander
  • *****
  • Posts: 537
  • Never let me down again.
    • View Profile
    • Mod Hub for Equal Terms 2.0
requires: STR_ALIENS_ONLY causing an issue
« on: December 11, 2018, 08:00:40 pm »
People are trying to use Openxcom extended with my Equal Terms 2.0++ mod and getting errors with

Code: [Select]
     requires:
      - STR_ALIENS_ONLY

I am unable to do full investigation using the openxcom extended mod (I am posting between meetings at work lol) but what is the issue with the  STR_ALIENS_ONLY tag, since that was the easy way to disable items in your ruleset?


Offline Hobbes

  • Commander
  • *****
  • Posts: 2055
  • Infiltration subroutine in progress
    • View Profile
Re: requires: STR_ALIENS_ONLY causing an issue
« Reply #1 on: December 11, 2018, 08:14:10 pm »
People are trying to use Openxcom extended with my Equal Terms 2.0++ mod and getting errors with

Code: [Select]
     requires:
      - STR_ALIENS_ONLY

I am unable to do full investigation using the openxcom extended mod (I am posting between meetings at work lol) but what is the issue with the  STR_ALIENS_ONLY tag, since that was the easy way to disable items in your ruleset?

Do you have the corresponding STR_ALIENS_ONLY entry defined on research.rul?

Offline efrenespartano

  • Commander
  • *****
  • Posts: 667
  • I know a lot about the law and other lawyerings.
    • View Profile
Re: requires: STR_ALIENS_ONLY causing an issue
« Reply #2 on: December 11, 2018, 08:22:14 pm »
Hi, KingMob!

I'm a huge fan of your mod. I add the laser and plasma tiers of it into my own compilation, UNEXCOM.

I've solved that problem (since OXCE v5.1 the whole ruleset system is more strict, everything has to be properly defined or otherwise will crash) doing this:

Code: [Select]
research:
  - name: STR_ALIENS_ONLY
    cost: 10000
    points: 0
    dependencies:
      - STR_ALIENS_ONLY


Enviado desde mi iPhone utilizando Tapatalk

Offline KingMob4313

  • Commander
  • *****
  • Posts: 537
  • Never let me down again.
    • View Profile
    • Mod Hub for Equal Terms 2.0
Re: requires: STR_ALIENS_ONLY causing an issue
« Reply #3 on: December 11, 2018, 09:03:06 pm »
Hi, KingMob!

I'm a huge fan of your mod. I add the laser and plasma tiers of it into my own compilation, UNEXCOM.

I've solved that problem (since OXCE v5.1 the whole ruleset system is more strict, everything has to be properly defined or otherwise will crash) doing this:

Code: [Select]
research:
  - name: STR_ALIENS_ONLY
    cost: 10000
    points: 0
    dependencies:
      - STR_ALIENS_ONLY


Enviado desde mi iPhone utilizando Tapatalk

Gracias! I will push that into my code. Thank you!

Offline Yankes

  • Moderator
  • Commander
  • ***
  • Posts: 2480
    • View Profile
Re: requires: STR_ALIENS_ONLY causing an issue
« Reply #4 on: December 11, 2018, 10:24:27 pm »
Cleaver solution :)